#include "kernelsolver.h"

void processInitialization(double *&MatrixA, double *&MatrixB, double *&Result, int n){
  MatrixA=new double[n*n];
  MatrixB=new double[n*n];
  Result=new double[n*n];

  REP(i,n){
    REP(j,n) {
        MatrixA[i*n+j]=i;
        MatrixB[i*n+j]=1;
    }
  }
}

void processTermination(double *MatrixA, double *MatrixB, double *Result){
  delete []MatrixA;
  delete []MatrixB;
  delete []Result;
}
